byComplex {SLGI} | R Documentation

## Evaluate protein co-membership within cellular organizational units

### Description

Count the protein co-members of one (or more) cellular organizational units such as complex(es). This co-membership can be characterized by a synthetic lethal interaction if bpL is the list of observed synthetic lethal interactions or it can be characterized by the number of all the expected interactions within that complexes if bpL is all the interactions tested.

### Usage

    byComplex(bpL,interactome)

### Arguments

`bpL` | List of tested genes (or reported as synthetic lethal) per bait.
`interactome` | Adjacency matrix where the rows are the genes and the columns represent the cellular organizational units, e.g., `ScISI`

### Value

Vector of the number of genes(proteins) co-member in one or more biological complexes or pathways.

### Author(s)

N. LeMeur and R. Gentleman

### See Also

`withinComplex`

### Examples

      data(ScISIC)
      data(AtongPair)
      pairSL <-  AtongPair[ AtongPair[,3],]
      SLlist <- split(as.character(pairSL[,2]),as.character(pairSL[,1]))
      ##Number of synthetic lethal pairs within the same complexe
      bySL <-byComplex(SLlist, ScISIC)

[Package SLGI version 1.4.0 Index]